import React, { useEffect } from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import styled from 'styled-components';
import useAddNews from '../hooks/useAddNews';
import Footer from './components/Footer';
import Header from './components/Header';
import MainRouting from './components/MainRouting';
import { UserStateProvider } from './context/UserContext';

const Container = styled.div`
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
`;

const MainContent = styled.div`
  height: 100%;
`;

function App() {
  const [response, addNews] = useAddNews();

  useEffect(() => {
    addNews({ body: { title: 'Testing', text: 'Test Test TEST' } });
  }, [addNews]);

  useEffect(() => {
    if (response.data) {
      console.log(response.data.text);
    }
  }, [response.data]);

  return (
    <UserStateProvider>
      <Router>
        <Container>
          <Header />
          <MainContent>
            <MainRouting />
          </MainContent>
          <Footer />
        </Container>
      </Router>
    </UserStateProvider>
  );
}

export default App;
