import { AxiosPromise } from 'axios';

export interface ResponseData<T> {
  isLoading: boolean;
  isError: boolean;
  data?: T;
}

export interface RequestArgs<T = any> {
  request: ApiRequest<T>;
  initialData?: T;
  initialParams?: RequestParams;
}

export interface RequestParams {
  body?: any;
  params?: any;
  args?: any;
}

export type ApiRequest<T> = (params: RequestParams) => AxiosPromise<T>;

export type Refetch = (params?: RequestParams) => void;

export interface INews {
  title: string;
  text: string;
  publishedAt: string;
}
